/* A very simple suxviewer 
   by using an example of gtk distribution (filesel.c)
   Watanabe Toshiki, Kyoto Univ.
   Version 1.0, 1999.08.05 
*/

#include <gtk/gtk.h>
#include <stdio.h>

/* Get the selected filename, make a shell script and execute it */
int file_ok_sel (GtkWidget *w, GtkFileSelection *fs)
{
  FILE *fp;

  if((fp = fopen("sv.sh", "w")) != NULL) {
    fprintf (fp, "%s\n", "#!/bin/sh");
    fprintf (fp, "%s\n", "suxwigb \\");
    fprintf (fp, "%s %s %s\n", "<", gtk_file_selection_get_filename (GTK_FILE_SELECTION (fs)), "&");
    fprintf (fp, "%s\n", "exit");
    fclose(fp);
    system("/bin/sh sv.sh"); 
    return 1;
  }
  return 0;
}

void destroy (GtkWidget *widget, gpointer data)
{
    gtk_main_quit ();
}

int main (int argc, char *argv[])
{
    GtkWidget *filew;
    
    gtk_set_locale ();
    gtk_init (&argc, &argv);
    
    /* Create a new file selection widget */
    filew = gtk_file_selection_new ("File selection");
    gtk_file_selection_hide_fileop_buttons(GTK_FILE_SELECTION (filew));

    gtk_signal_connect (GTK_OBJECT (filew), "destroy",
			(GtkSignalFunc) destroy, &filew);
    /* Connect the ok_button to file_ok_sel function */
    gtk_signal_connect (GTK_OBJECT (GTK_FILE_SELECTION (filew)->ok_button),
			"clicked", (GtkSignalFunc) file_ok_sel, filew );
    
    /* Connect the cancel_button to destroy the widget */
    gtk_signal_connect_object (GTK_OBJECT (GTK_FILE_SELECTION (filew)->cancel_button),
			       "clicked", (GtkSignalFunc) gtk_widget_destroy,
			       GTK_OBJECT (filew));
    
    gtk_widget_show(filew);
    gtk_main ();

    return 0;
}



