/*  suxviewer
 *  Copyright (C) 1999, Watanabe Toshiki
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
*/

/* Function prototype declaration */
GtkWidget* create_window (void);
void main_quit      (GtkWidget *widget, GtkWidget *window); 

void file_selection (GtkWidget *widget, gpointer data);
void file_ok_sel    (GtkWidget *widget, GtkFileSelection *fs);

int exec_view_wiggle (GtkWidget *button, gpointer data);
int exec_view_image  (GtkWidget *button, gpointer data);

void about_window   (GtkWidget *widget, gpointer data); 
void on_about_ok_clicked (GtkButton *button, GtkWidget *dialog);

void init_option (void);
void init_image (void);
void init_legend (void);
void init_curve (void);

/* Global variable */
gchar *filename;



